Summary: mgp - MagicPoint -- an X11 based presentation tool
Name: mgp
%define version 1.02a
Version: %{version}
Release: 1a
Group: Group: X11/Applications/Graphics
Source: ftp://ftp.Mew.org/pub/MagicPoint/mgp-%{version}.tar.gz
Copyright: WIDE Project
BuildRoot: /tmp/mgp-root

%description
mgp is an X11 based presentation tool.  It is designed to make simple
presentations easy while to make complicated presentations possible.  Its
presentation file (whose suffix is typically .mgp) is just text so that
you can create presentation files quickly with your favorite editor (e.g.
Emacs).


%prep
%setup

%build
./configure
xmkmf
make Makefiles
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6.3/bin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6.3/lib
mkdir -p $RPM_BUILD_ROOT/usr/X11R6.3/man
make install install.man DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc COPYRIGHT* README SYNTAX TODO.jp USAGE* sample 
/usr/X11R6.3/bin/mgp
/usr/X11R6.3/bin/mgp2ps
/usr/X11R6.3/bin/mgpnet
/usr/X11R6.3/bin/xwintoppm
/usr/X11R6.3/lib/X11/mgp/default.mgp
/usr/X11R6.3/lib/X11/mgp/mgp1.gif
/usr/X11R6.3/lib/X11/mgp/mgp2.gif
/usr/X11R6.3/lib/X11/mgp/mgp3.gif
/usr/X11R6.3/man/man1/mgp.1x
/usr/X11R6.3/man/man1/mgp2ps.1x
/usr/X11R6.3/man/man1/mgpnet.1x
/usr/X11R6.3/man/man1/xwintoppm.1x
